Open Source RDBMS - Seamless, Scalable, Stable and Free

한국어 | Login |Register


1
(click on this box to dismiss)

CUBRID 64 bit with PHP x86 on Windows 7

Hello,

I have installed CUBRID x64 bit and PHP x86 (official release) on Windows 7 64 bit. I tried to manually install the PHP API by adding the driver from here: http://www.cubrid.org/?mid=downloads&item=php_driver&os=windows&ostype=any&php=php53&driver_type=phpdr

I have VC9 thread safe (TS) version of PHP 5.3.10. I added the lines

[PHP_CUBRID]

extension=php_cubrid.dll

to php.ini and the file php_cubrid.dll to ext folder. I have tried with any PHP driver version but it fails to load (php crashes and apache fails to start).

Is there a workaround ?

link comment (0)
asked 2 years ago
ovidiuv
55
11 Answers
0

Developers should understand that x64 compatible API is not compatible with x86 software such as PHP. Since PHP doesn't provide official 64-bit packages for Windows, users are recommended to stick with x86 PHP.

Now in order to get PHP x86 work with CUBRID x64, users need to install CUBRID PHP API x86 based on CUBRID CCI API x86.

Since CUBRID x64 already comes with 64-bit CCI API, users need to replace it with 32-bit CCI API which, fortunately, is compatible with CUBRID x64. When replacing the existing CCI API with 32-bit version, make sure CUBRID version matches. For example, if your CUBRID Server version is 8.4.1.2032 you need to download the same version CCI API such as CUBRID-CCI-Windows-8.4.1.2032.zip. To check CUBRID version, type the following command in the command line:

cubrid_rel

If your CUBRID version is new but you cannot find the same version CCI API for it, notify us by email contact [at] cubrid.org, or on @CUBRID Twitter, or Facebook page. We may have still not uploaded the latest version. We will do that for you right away.

link comment (0)
answered 2 years ago
dba
558
tagged




You are either using a very old browser or a browser that is not supported.
In order to browse cubrid.org you need to have one of the following browsers:



Internet Explorer: Mozilla Firefox: Google Chrome: